# chaos/tools: outils développés pour LXD

## backup

Création de sauvegarde des conteneurs fonctionnant sur l'hôte où le script est exécuté. Le script gère également une rétention.

## balance-containers

Ce script permet soit de :
  - créer une liste des conteneurs en fonction de leur hôte
  - déplacer les conteneurs présents sur la machine où le script est lancé
  - répartir les conteneurs en fonction de la liste précédemment générée

## Post-déploiement

Les quelques lignes suivantes permettent le déploiement de ce dépôt :

```base
cd /tmp &&\
git clone ssh://gitea@git.ykn.fr:12393/chaos/tools.git &&\
sudo mv tools /opt/ &&\
cd /opt/tools/backup &&\
sudo ln -s /mnt/pumbaa/backup/containers/ .; \
sudo ln -s /mnt/pumbaa/backup/$(hostname)/ ./hosts; \
ls -lah
```
